Loading...
Searching...
No Matches
Opm::mswellhelpers::ParallellMSWellB< MatrixType > Class Template Reference

A wrapper around the B matrix for distributed MS wells. More...

`#include <MSWellHelpers.hpp>`

## Public Types

using | Scalar = typename MatrixType::field_type

## Public Member Functions

| ParallellMSWellB (const MatrixType &B, const ParallelWellInfo< Scalar > &parallel_well_info)
template<class X, class Y>
void | mv (const X &x, Y &y) const
| y = A x
template<class X, class Y>
void | mmv (const X &x, Y &y) const
| y = A x

## Detailed Description

template<class MatrixType>
class Opm::mswellhelpers::ParallellMSWellB< MatrixType >

A wrapper around the B matrix for distributed MS wells.

For wells the B matrix, is basically a multiplication of the equation of the perforated cells followed by a reduction (summation) of these to the well equations.

This class does that in the functions mv and mmv (from the DUNE matrix interface.

Template Parameters

  MatrixType | The MatrixType of the Matrix B. From this, we deduce the Scalar used for the computation.

The documentation for this class was generated from the following files:

- opm/simulators/wells/MSWellHelpers.hpp
- opm/simulators/wells/MSWellHelpers.cpp